package test.rewolucja.energy.profile.implementation;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import test.rewolucja.energy.profile.PState;
import test.rewolucja.energy.profile.PStateType;


public class CPU_B_PowerProfile extends CPUPowerProfile{

	public CPU_B_PowerProfile() {
		//pState = getSupportedPStates().get(PStateType.P0);
	}
	
	public Map<PStateType, PState> getSupportedPStates(){
		return ModelB.getConfiguration();
	}
	
	private static class ModelB{
		private static final Map<PStateType, PState> pStates;
		static {
			Map<PStateType, PState> pStatesMap = new HashMap<PStateType, PState>();
			pStatesMap.put(PStateType.P0, new PState(PStateType.P0, 2660, 0, 363));
			pStatesMap.put(PStateType.P1, new PState(PStateType.P1, 2330, 0, 357));
			pStatesMap.put(PStateType.P2, new PState(PStateType.P2, 2000, 0, 350));
			pStatesMap.put(PStateType.P3, new PState(PStateType.P3, 1860, 0, 343));
			pStates = Collections.unmodifiableMap(pStatesMap);
		}
		
		public static Map<PStateType, PState> getConfiguration(){
			return pStates;
		}
	}
}
